Bug 20952 - yuw_PG: new locale
Summary: yuw_PG: new locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 enhancement
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-08 22:47 IST by nungon.localization
Modified: 2017-11-11 14:24 IST (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2017-10-23 00:00:00
fweimer: security-


Attachments
Locale definition file for Yau/Nungon, PNG (1.62 KB, text/plain)
2016-12-08 22:47 IST, nungon.localization
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nungon.localization 2016-12-08 22:47:31 IST
Created attachment 9694 [details]
Locale definition file for Yau/Nungon, PNG

Dear maintainers,

Please find attached the locale definition for yuw_PG to be
considered for inclusion in glibc.

The language concerned is Yau (Nungon dialect), which is spoken in Morobe Province of Papua New Guinea.

The locale definition file has been successfully test-installed in Ubuntu 14.04 LTS using `localedef -i yuw_PG -c -f UTF-8 yuw_PG` and has produced appropriately localized output from the `date` command.

Thanks!
Comment 1 Mike FABIAN 2017-10-23 16:46:21 IST
Your locale contains:

LC_CTYPE
copy "i18n"
translit_start
include "translit_combining";""

% LATIN CAPITAL LETTER O WITH DIAERESIS.
<U00D6> "<U004F><U0308>"
% LATIN SMALL LETTER O WITH DIAERESIS.
<U00F6> "<U006F><U0308>"

translit_end
END LC_CTYPE

The included “translit_combining” already has:

% LATIN CAPITAL LETTER O WITH DIAERESIS
<U00D6> <U004F>
% LATIN SMALL LETTER O WITH DIAERESIS
<U00F6> <U006F>

I think your extra rules don’t add anything new, do they?
Comment 2 Mike FABIAN 2017-10-23 16:58:01 IST
country_name "Papua New Guinea"

This should be the name of the country in the Yau language.
Is this correct?
Comment 3 Mike FABIAN 2017-10-23 17:01:12 IST
% yuw, eventually
lang_term    ""

“eventually”?? Shouldn’t we  put "yuw" there *now*?
Comment 4 Mike FABIAN 2017-10-23 17:17:51 IST
https://www.howtocallabroad.com/results.php?callfrom=papua_new_guinea&callto=italy

says the prefix to dial out of Papua New Guinea is "00".

But your locale has:

int_select     "0011"
Comment 5 Mike FABIAN 2017-10-23 17:27:36 IST
lang_name    "Yau/Nungon"

This should be the langauge endonym, i.e. the name
of the language in the language iself. Is this correct?

Looking at 

https://en.wikipedia.org/wiki/Yau_language

it seems that it might be "Uruwa"
Comment 6 cvs-commit@gcc.gnu.org 2017-10-25 12:04:56 IST
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  9be7530cc0eae4d39b3d59beadc849a3a6942ffe (commit)
       via  6ccbf6ff910a7da8ce87c27bdaeb7448c1b3ee2b (commit)
       via  58b1a7eaf9099f7db793ecf6718c43ff7f4ec0d4 (commit)
       via  17e78edb814dfd90328efbc984e37cd4f70ef251 (commit)
       via  74e7284fe1d4be0e7eb3eb3ba9908eb7d0f04e3f (commit)
       via  b41a0ff1c829f907cdc5412079b539e172ccb9bc (commit)
       via  d971f380029b888c9194663aa4373e1f6e1b9cad (commit)
       via  effc9e1d50912d4bc58e189ed30017bb596878b9 (commit)
       via  10320881d8ecd47b542b8e5ca42fdb1aa5516bbf (commit)
       via  d8682a15d0c4903c4b687befcaf763d87c8f1993 (commit)
       via  1bfb86aeb4fd66d09d3ff0bd3025b19ac383b9f6 (commit)
       via  da33d60bbec1279b7918bd8e4de82677575a32b4 (commit)
       via  725bbb3e18debf1e46d15bbf11da6393035aad5c (commit)
       via  fe043d8af2aac18246eac87b6ace24bf021806e7 (commit)
       via  360a8df3af57489b1c9467b46c72fe45f1225979 (commit)
       via  bab7b6b0a6474cf517a372aca2e2911ae907f96a (commit)
       via  3e79f758191d11e60cdf1975ece322831c73ede4 (commit)
       via  4960c87929ec76f02ad183f2110dac0db99bbf22 (commit)
       via  b06a054f5822a61b94e88f595a99e358d0ad2f34 (commit)
      from  905a7725e9157ea522d8ab97b4c8b96aeb23df54 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=9be7530cc0eae4d39b3d59beadc849a3a6942ffe

commit 9be7530cc0eae4d39b3d59beadc849a3a6942ffe
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 13:47:59 2017 +0200

    CJK locales: Add fullwidth yYnN to yesexpr and noexpr [BZ #15261]
    
    	[BZ #15261]
    	* localedata/locales/cmn_TW (LC_MESSAGES): Add fullwidth yYnN to
    	yesexpr and noexpr.
    	* localedata/locales/hak_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/ko_KR (LC_MESSAGES): Likewise.
    	* localedata/locales/lzh_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/nan_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_CN (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_HK (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_TW (LC_MESSAGES): Likewise.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=6ccbf6ff910a7da8ce87c27bdaeb7448c1b3ee2b

commit 6ccbf6ff910a7da8ce87c27bdaeb7448c1b3ee2b
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 13:28:31 2017 +0200

    Sync LC_MESSAGES of several locales with CLDR
    
    	* localedata/locales/am_ET (LC_MESSAGES): Sync with CLDR.
    	* localedata/locales/az_AZ (LC_MESSAGES): Likewise.
    	* localedata/locales/el_GR (LC_MESSAGES): Likewise.
    	* localedata/locales/ha_NG (LC_MESSAGES): Likewise.
    	* localedata/locales/ln_CD (LC_MESSAGES): Likewise.
    	* localedata/locales/mfe_MU (LC_MESSAGES): Likewise.
    	* localedata/locales/ml_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/mt_MT (LC_MESSAGES): Likewise.
    	* localedata/locales/os_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/tg_TJ (LC_MESSAGES): Likewise.
    	* localedata/locales/tt_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/wo_SN (LC_MESSAGES): Likewise.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=58b1a7eaf9099f7db793ecf6718c43ff7f4ec0d4

commit 58b1a7eaf9099f7db793ecf6718c43ff7f4ec0d4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 10:47:23 2017 +0200

    Use ASCII as much as possible in LC_MESSAGES of all locales to improve readability of the source
    
    	* localedata/locales/aa_ET (LC_MESSAGES): Use ASCII as much
    	as possible for better readability of the source.
    	* localedata/locales/af_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/ak_GH (LC_MESSAGES): Likewise.
    	* localedata/locales/am_ET (LC_MESSAGES): Likewise.
    	* localedata/locales/anp_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ar_EG (LC_MESSAGES): Likewise.
    	* localedata/locales/as_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ast_ES (LC_MESSAGES): Likewise.
    	* localedata/locales/ayc_PE (LC_MESSAGES): Likewise.
    	* localedata/locales/az_AZ (LC_MESSAGES): Likewise.
    	* localedata/locales/az_IR (LC_MESSAGES): Likewise.
    	* localedata/locales/be_BY (LC_MESSAGES): Likewise.
    	* localedata/locales/be_BY@latin (LC_MESSAGES): Likewise.
    	* localedata/locales/bem_ZM (LC_MESSAGES): Likewise.
    	* localedata/locales/ber_MA (LC_MESSAGES): Likewise.
    	* localedata/locales/bg_BG (LC_MESSAGES): Likewise.
    	* localedata/locales/bhb_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/bi_VU (LC_MESSAGES): Likewise.
    	* localedata/locales/bo_CN (LC_MESSAGES): Likewise.
    	* localedata/locales/br_FR (LC_MESSAGES): Likewise.
    	* localedata/locales/bs_BA (LC_MESSAGES): Likewise.
    	* localedata/locales/ca_ES (LC_MESSAGES): Likewise.
    	* localedata/locales/ce_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/crh_UA (LC_MESSAGES): Likewise.
    	* localedata/locales/cs_CZ (LC_MESSAGES): Likewise.
    	* localedata/locales/csb_PL (LC_MESSAGES): Likewise.
    	* localedata/locales/cv_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/cy_GB (LC_MESSAGES): Likewise.
    	* localedata/locales/da_DK (LC_MESSAGES): Likewise.
    	* localedata/locales/de_DE (LC_MESSAGES): Likewise.
    	* localedata/locales/dv_MV (LC_MESSAGES): Likewise.
    	* localedata/locales/dz_BT (LC_MESSAGES): Likewise.
    	* localedata/locales/el_GR (LC_MESSAGES): Likewise.
    	* localedata/locales/en_CA (LC_MESSAGES): Likewise.
    	* localedata/locales/en_US (LC_MESSAGES): Likewise.
    	* localedata/locales/es_ES (LC_MESSAGES): Likewise.
    	* localedata/locales/et_EE (LC_MESSAGES): Likewise.
    	* localedata/locales/eu_ES (LC_MESSAGES): Likewise.
    	* localedata/locales/fa_IR (LC_MESSAGES): Likewise.
    	* localedata/locales/ff_SN (LC_MESSAGES): Likewise.
    	* localedata/locales/fi_FI (LC_MESSAGES): Likewise.
    	* localedata/locales/fil_PH (LC_MESSAGES): Likewise.
    	* localedata/locales/fo_FO (LC_MESSAGES): Likewise.
    	* localedata/locales/fr_BE (LC_MESSAGES): Likewise.
    	* localedata/locales/fr_CH (LC_MESSAGES): Likewise.
    	* localedata/locales/fr_FR (LC_MESSAGES): Likewise.
    	* localedata/locales/fr_LU (LC_MESSAGES): Likewise.
    	* localedata/locales/fur_IT (LC_MESSAGES): Likewise.
    	* localedata/locales/fy_DE (LC_MESSAGES): Likewise.
    	* localedata/locales/ga_IE (LC_MESSAGES): Likewise.
    	* localedata/locales/gd_GB (LC_MESSAGES): Likewise.
    	* localedata/locales/gl_ES (LC_MESSAGES): Likewise.
    	* localedata/locales/gu_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/gv_GB (LC_MESSAGES): Likewise.
    	* localedata/locales/ha_NG (LC_MESSAGES): Likewise.
    	* localedata/locales/hak_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/he_IL (LC_MESSAGES): Likewise.
    	* localedata/locales/hif_FJ (LC_MESSAGES): Likewise.
    	* localedata/locales/hne_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/hr_HR (LC_MESSAGES): Likewise.
    	* localedata/locales/hsb_DE (LC_MESSAGES): Likewise.
    	* localedata/locales/ht_HT (LC_MESSAGES): Likewise.
    	* localedata/locales/hu_HU (LC_MESSAGES): Likewise.
    	* localedata/locales/hy_AM (LC_MESSAGES): Likewise.
    	* localedata/locales/ia_FR (LC_MESSAGES): Likewise.
    	* localedata/locales/id_ID (LC_MESSAGES): Likewise.
    	* localedata/locales/ig_NG (LC_MESSAGES): Likewise.
    	* localedata/locales/ik_CA (LC_MESSAGES): Likewise.
    	* localedata/locales/is_IS (LC_MESSAGES): Likewise.
    	* localedata/locales/it_CH (LC_MESSAGES): Likewise.
    	* localedata/locales/it_IT (LC_MESSAGES): Likewise.
    	* localedata/locales/iu_CA (LC_MESSAGES): Likewise.
    	* localedata/locales/ja_JP (LC_MESSAGES): Likewise.
    	* localedata/locales/kk_KZ (LC_MESSAGES): Likewise.
    	* localedata/locales/kl_GL (LC_MESSAGES): Likewise.
    	* localedata/locales/ko_KR (LC_MESSAGES): Likewise.
    	* localedata/locales/ks_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ku_TR (LC_MESSAGES): Likewise.
    	* localedata/locales/kw_GB (LC_MESSAGES): Likewise.
    	* localedata/locales/ky_KG (LC_MESSAGES): Likewise.
    	* localedata/locales/lb_LU (LC_MESSAGES): Likewise.
    	* localedata/locales/lg_UG (LC_MESSAGES): Likewise.
    	* localedata/locales/li_NL (LC_MESSAGES): Likewise.
    	* localedata/locales/lij_IT (LC_MESSAGES): Likewise.
    	* localedata/locales/ln_CD (LC_MESSAGES): Likewise.
    	* localedata/locales/lo_LA (LC_MESSAGES): Likewise.
    	* localedata/locales/lt_LT (LC_MESSAGES): Likewise.
    	* localedata/locales/lv_LV (LC_MESSAGES): Likewise.
    	* localedata/locales/lzh_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/mg_MG (LC_MESSAGES): Likewise.
    	* localedata/locales/mhr_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/mi_NZ (LC_MESSAGES): Likewise.
    	* localedata/locales/mk_MK (LC_MESSAGES): Likewise.
    	* localedata/locales/ml_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/mn_MN (LC_MESSAGES): Likewise.
    	* localedata/locales/ms_MY (LC_MESSAGES): Likewise.
    	* localedata/locales/mt_MT (LC_MESSAGES): Likewise.
    	* localedata/locales/my_MM (LC_MESSAGES): Likewise.
    	* localedata/locales/nan_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/nan_TW@latin (LC_MESSAGES): Likewise.
    	* localedata/locales/nb_NO (LC_MESSAGES): Likewise.
    	* localedata/locales/nds_DE (LC_MESSAGES): Likewise.
    	* localedata/locales/nds_NL (LC_MESSAGES): Likewise.
    	* localedata/locales/ne_NP (LC_MESSAGES): Likewise.
    	* localedata/locales/nhn_MX (LC_MESSAGES): Likewise.
    	* localedata/locales/niu_NU (LC_MESSAGES): Likewise.
    	* localedata/locales/nl_NL (LC_MESSAGES): Likewise.
    	* localedata/locales/nn_NO (LC_MESSAGES): Likewise.
    	* localedata/locales/nr_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/nso_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/oc_FR (LC_MESSAGES): Likewise.
    	* localedata/locales/om_ET (LC_MESSAGES): Likewise.
    	* localedata/locales/or_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/os_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/pa_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/pa_PK (LC_MESSAGES): Likewise.
    	* localedata/locales/pap_AW (LC_MESSAGES): Likewise.
    	* localedata/locales/pap_CW (LC_MESSAGES): Likewise.
    	* localedata/locales/pl_PL (LC_MESSAGES): Likewise.
    	* localedata/locales/ps_AF (LC_MESSAGES): Likewise.
    	* localedata/locales/pt_BR (LC_MESSAGES): Likewise.
    	* localedata/locales/quz_PE (LC_MESSAGES): Likewise.
    	* localedata/locales/raj_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ro_RO (LC_MESSAGES): Likewise.
    	* localedata/locales/ru_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/ru_UA (LC_MESSAGES): Likewise.
    	* localedata/locales/rw_RW (LC_MESSAGES): Likewise.
    	* localedata/locales/sa_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/sc_IT (LC_MESSAGES): Likewise.
    	* localedata/locales/sd_IN@devanagari (LC_MESSAGES): Likewise.
    	* localedata/locales/se_NO (LC_MESSAGES): Likewise.
    	* localedata/locales/sgs_LT (LC_MESSAGES): Likewise.
    	* localedata/locales/si_LK (LC_MESSAGES): Likewise.
    	* localedata/locales/sk_SK (LC_MESSAGES): Likewise.
    	* localedata/locales/sl_SI (LC_MESSAGES): Likewise.
    	* localedata/locales/sm_WS (LC_MESSAGES): Likewise.
    	* localedata/locales/so_DJ (LC_MESSAGES): Likewise.
    	* localedata/locales/sq_AL (LC_MESSAGES): Likewise.
    	* localedata/locales/sr_RS (LC_MESSAGES): Likewise.
    	* localedata/locales/sr_RS@latin (LC_MESSAGES): Likewise.
    	* localedata/locales/ss_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/st_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/sv_SE (LC_MESSAGES): Likewise.
    	* localedata/locales/sw_KE (LC_MESSAGES): Likewise.
    	* localedata/locales/szl_PL (LC_MESSAGES): Likewise.
    	* localedata/locales/tcy_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/tg_TJ (LC_MESSAGES): Likewise.
    	* localedata/locales/th_TH (LC_MESSAGES): Likewise.
    	* localedata/locales/the_NP (LC_MESSAGES): Likewise.
    	* localedata/locales/ti_ER (LC_MESSAGES): Likewise.
    	* localedata/locales/tk_TM (LC_MESSAGES): Likewise.
    	* localedata/locales/tn_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/to_TO (LC_MESSAGES): Likewise.
    	* localedata/locales/tr_TR (LC_MESSAGES): Likewise.
    	* localedata/locales/ts_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/tt_RU (LC_MESSAGES): Likewise.
    	* localedata/locales/tt_RU@iqtelif (LC_MESSAGES): Likewise.
    	* localedata/locales/uk_UA (LC_MESSAGES): Likewise.
    	* localedata/locales/unm_US (LC_MESSAGES): Likewise.
    	* localedata/locales/ur_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ur_PK (LC_MESSAGES): Likewise.
    	* localedata/locales/uz_UZ (LC_MESSAGES): Likewise.
    	* localedata/locales/uz_UZ@cyrillic (LC_MESSAGES): Likewise.
    	* localedata/locales/ve_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/vi_VN (LC_MESSAGES): Likewise.
    	* localedata/locales/wa_BE (LC_MESSAGES): Likewise.
    	* localedata/locales/wo_SN (LC_MESSAGES): Likewise.
    	* localedata/locales/xh_ZA (LC_MESSAGES): Likewise.
    	* localedata/locales/yi_US (LC_MESSAGES): Likewise.
    	* localedata/locales/yo_NG (LC_MESSAGES): Likewise.
    	* localedata/locales/yue_HK (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_CN (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_HK (LC_MESSAGES): Likewise.
    	* localedata/locales/zh_TW (LC_MESSAGES): Likewise.
    	* localedata/locales/zu_ZA (LC_MESSAGES): Likewise.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=17e78edb814dfd90328efbc984e37cd4f70ef251

commit 17e78edb814dfd90328efbc984e37cd4f70ef251
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 10:40:20 2017 +0200

    brx_IN locale: Fix yesexpr and noexpr
    
    	* localedata/locales/brx_IN (LC_MESSAGES): Fix yesexpr and noexpr
    	(Use first letters of yesstr and nostr correctly instead of using
    	full words).

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=74e7284fe1d4be0e7eb3eb3ba9908eb7d0f04e3f

commit 74e7284fe1d4be0e7eb3eb3ba9908eb7d0f04e3f
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 10:35:19 2017 +0200

    ta_IN locale: Fix yesexpr and noexpr
    
    	* localedata/locales/ta_IN (LC_MESSAGES): Fix yesexpr and noexpr
    	(Use first letters of yesstr and nostr correctly).

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b41a0ff1c829f907cdc5412079b539e172ccb9bc

commit b41a0ff1c829f907cdc5412079b539e172ccb9bc
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 10:06:31 2017 +0200

    hi_IN, kn_IN, ks_IN@devanagari locales:  In yesexpr and noexpr, also check for the first characters of yesstr and nostr
    
    	* localedata/locales/hi_IN (LC_MESSAGES): In yesexpr and noexpr,
    	also check for the first characters of yesstr and nostr.
    	* localedata/locales/kn_IN (LC_MESSAGES): Likewise.
    	* localedata/locales/ks_IN@devanagari (LC_MESSAGES): Likewise.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d971f380029b888c9194663aa4373e1f6e1b9cad

commit d971f380029b888c9194663aa4373e1f6e1b9cad
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 09:58:59 2017 +0200

    cmn_TW locale: Improve yesexpr and noexpr
    
    	* localedata/locales/cmn_TW (LC_MESSAGES): In yesexpr and noexpr,
    	also check for Chinese characters.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=effc9e1d50912d4bc58e189ed30017bb596878b9

commit effc9e1d50912d4bc58e189ed30017bb596878b9
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 09:56:21 2017 +0200

    chr_US locale: Fix yesexpr and noexpr
    
    	* localedata/locales/chr_US (LC_MESSAGES): In yesexpr and noexpr,
    	match also for the contents of yesstr and nostr. As the first letter
    	of yesstr and nostr is equal, checking only for the first letter
    	is not enough.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=10320881d8ecd47b542b8e5ca42fdb1aa5516bbf

commit 10320881d8ecd47b542b8e5ca42fdb1aa5516bbf
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 09:31:26 2017 +0200

    ber_DZ locale: Use copy “"kab_DZ"” in LC_MESSAGES.
    
    	* localedata/locales/ber_DZ (LC_MESSAGES): Use copy "kab_DZ",
    	it is the same according to  Belkacem Mohammed <belkacem77@gmail.com>.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d8682a15d0c4903c4b687befcaf763d87c8f1993

commit d8682a15d0c4903c4b687befcaf763d87c8f1993
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 09:25:11 2017 +0200

    kab_DZ locale: Add e-mail of main contributor
    
    	* localedata/locales/kab_DZ (LC_IDENTIFICATION): Add e-mail
    	of main contributor.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=1bfb86aeb4fd66d09d3ff0bd3025b19ac383b9f6

commit 1bfb86aeb4fd66d09d3ff0bd3025b19ac383b9f6
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 09:15:33 2017 +0200

    zh_SG locale: Use copy "zh_CN" in LC_MESSAGES instead of English
    
    	* localedata/locales/zh_SG (LC_MESSAGES): Use copy "zh_CN"
    	instead of using English.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=da33d60bbec1279b7918bd8e4de82677575a32b4

commit da33d60bbec1279b7918bd8e4de82677575a32b4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 08:34:21 2017 +0200

    ug_CN locale: Fix noexpr and yesexpr
    
    	* localedata/locales/ug_CN (LC_MESSAGES): Fix noexpr and yesexpr
    	by including the first letters of nostr and yesexpr in the regexp.
    	Also make it more readable by using ASCII where possible.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=725bbb3e18debf1e46d15bbf11da6393035aad5c

commit 725bbb3e18debf1e46d15bbf11da6393035aad5c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Wed Oct 25 08:17:24 2017 +0200

    ti_IN locale: Fix noexpr
    
    	* localedata/locales/te_IN (LC_MESSAGES): Fix noexpr by including
    	the first letter of nostr in the regexp. It agrees with CLDR now.
    	Also make it more readable by using ASCII where possible.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=fe043d8af2aac18246eac87b6ace24bf021806e7

commit fe043d8af2aac18246eac87b6ace24bf021806e7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 24 16:37:36 2017 +0200

    km_KH locale: Fix yesstr and nostr.
    
    	* localedata/locales/km_KH (LC_MESSAGES): Fix yestr and nostr.
    	The yesstr and nostr apparently	came from CLDR. And CLDR has a bug there:
    	these strings contain a U+17D6 (which somewhat looks like a colon)
    	instead of a real colon to separate the full words for “yes”
    	and “no” from the single letter responses.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=360a8df3af57489b1c9467b46c72fe45f1225979

commit 360a8df3af57489b1c9467b46c72fe45f1225979
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 24 16:20:55 2017 +0200

    ka_GE locale: Fix yesexp to make it agree with CLDR.
    
    	* localedata/locales/ka_GE (LC_MESSAGES): Fix yesexp to make
    	it agree with CLDR (include the first letter of yesstr).
    	Also make it more readable by using ASCII where possible.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bab7b6b0a6474cf517a372aca2e2911ae907f96a

commit bab7b6b0a6474cf517a372aca2e2911ae907f96a
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 24 14:06:05 2017 +0200

    mr_IN locale: Fix yesstr and nostr and improve yesexpr and noexpr.
    
    	* localedata/locales/mr_IN (LC_MESSAGES): Fix yesstr and nostr
    	and improve yesexpr and noexpr. The yesstr and nostr apparently
    	came from CLDR. And CLDR has a bug there: these strings contain
    	a U+0903 (which looks like a colon) instead of a real colon
    	to separate the full words for “yes” and “no” from the single
    	letter responses.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=3e79f758191d11e60cdf1975ece322831c73ede4

commit 3e79f758191d11e60cdf1975ece322831c73ede4
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 24 11:56:18 2017 +0200

    bn_BD locale: Use only the first letters of the full yesstr and nostr in yesexpr and noexpr
    
    Using all characters of the full words for yes and no in yesexpr and noexpr
    makes no sense here, especially not because the words for yes and no
    share one character.
    
    	* localedata/locales/bn_BD (LC_MESSAGES): Use only the first
    	letters of the full yesstr and nostr in yesexpr and noexpr.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=4960c87929ec76f02ad183f2110dac0db99bbf22

commit 4960c87929ec76f02ad183f2110dac0db99bbf22
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Tue Oct 24 09:07:18 2017 +0200

    Add yesstr, nostr, lang_term, lang_lib to an_ES locale
    
    	* localedata/locales/an_ES (LC_MESSAGES): Add yesstr and nostr.
    	* localedata/locales/an_ES (LC_ADDRESS): Add lang_term and lang_lib.
    	* localedata/locales/an_ES: Make source more readable by using ASCII
    	where possible.

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b06a054f5822a61b94e88f595a99e358d0ad2f34

commit b06a054f5822a61b94e88f595a99e358d0ad2f34
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Oct 23 19:03:23 2017 +0200

    Add new locale yuw_PG [BZ #20952]
    
    	[BZ #20952]
    	* localedata/locales/yuw_PG: New file.
    	* localedata/SUPPORTED: Add yuw_PG/UTF-8.
    	* locale/iso-639.def: Add Yau (Uruwa).

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                           |  306 +++++++++++++++++++++++++++++++++++
 locale/iso-639.def                  |    1 +
 localedata/SUPPORTED                |    1 +
 localedata/locales/aa_ET            |    8 +-
 localedata/locales/af_ZA            |    8 +-
 localedata/locales/ak_GH            |    8 +-
 localedata/locales/am_ET            |    4 +-
 localedata/locales/an_ES            |   90 +++++------
 localedata/locales/anp_IN           |    4 +-
 localedata/locales/ar_EG            |    4 +-
 localedata/locales/as_IN            |    4 +-
 localedata/locales/ast_ES           |    8 +-
 localedata/locales/ayc_PE           |    8 +-
 localedata/locales/az_AZ            |   16 ++-
 localedata/locales/az_IR            |    4 +-
 localedata/locales/be_BY            |    4 +-
 localedata/locales/be_BY@latin      |    4 +-
 localedata/locales/bem_ZM           |    8 +-
 localedata/locales/ber_DZ           |    7 +-
 localedata/locales/ber_MA           |   11 +-
 localedata/locales/bg_BG            |    4 +-
 localedata/locales/bhb_IN           |    4 +-
 localedata/locales/bi_VU            |    8 +-
 localedata/locales/bn_BD            |    4 +-
 localedata/locales/bo_CN            |    4 +-
 localedata/locales/br_FR            |    8 +-
 localedata/locales/brx_IN           |    6 +-
 localedata/locales/bs_BA            |    8 +-
 localedata/locales/ca_ES            |    8 +-
 localedata/locales/ce_RU            |    4 +-
 localedata/locales/chr_US           |    4 +-
 localedata/locales/cmn_TW           |    6 +-
 localedata/locales/crh_UA           |    8 +-
 localedata/locales/cs_CZ            |    8 +-
 localedata/locales/csb_PL           |    4 +-
 localedata/locales/cv_RU            |    4 +-
 localedata/locales/cy_GB            |    8 +-
 localedata/locales/da_DK            |    8 +-
 localedata/locales/de_DE            |    8 +-
 localedata/locales/dv_MV            |    4 +-
 localedata/locales/dz_BT            |    4 +-
 localedata/locales/el_GR            |    4 +-
 localedata/locales/en_CA            |    8 +-
 localedata/locales/en_US            |    8 +-
 localedata/locales/es_ES            |    8 +-
 localedata/locales/et_EE            |    8 +-
 localedata/locales/eu_ES            |    8 +-
 localedata/locales/fa_IR            |    4 +-
 localedata/locales/ff_SN            |    8 +-
 localedata/locales/fi_FI            |    8 +-
 localedata/locales/fil_PH           |    8 +-
 localedata/locales/fo_FO            |    8 +-
 localedata/locales/fr_BE            |    8 +-
 localedata/locales/fr_CH            |    8 +-
 localedata/locales/fr_FR            |    8 +-
 localedata/locales/fr_LU            |    8 +-
 localedata/locales/fur_IT           |    8 +-
 localedata/locales/fy_DE            |    8 +-
 localedata/locales/ga_IE            |    8 +-
 localedata/locales/gd_GB            |    8 +-
 localedata/locales/gl_ES            |    8 +-
 localedata/locales/gu_IN            |    4 +-
 localedata/locales/gv_GB            |    4 +-
 localedata/locales/ha_NG            |    8 +-
 localedata/locales/hak_TW           |    8 +-
 localedata/locales/he_IL            |    4 +-
 localedata/locales/hi_IN            |    4 +-
 localedata/locales/hif_FJ           |   10 +-
 localedata/locales/hne_IN           |    4 +-
 localedata/locales/hr_HR            |    8 +-
 localedata/locales/hsb_DE           |    8 +-
 localedata/locales/ht_HT            |    8 +-
 localedata/locales/hu_HU            |    8 +-
 localedata/locales/hy_AM            |    4 +-
 localedata/locales/ia_FR            |    8 +-
 localedata/locales/id_ID            |    8 +-
 localedata/locales/ig_NG            |    8 +-
 localedata/locales/ik_CA            |    8 +-
 localedata/locales/is_IS            |    8 +-
 localedata/locales/it_CH            |    8 +-
 localedata/locales/it_IT            |    8 +-
 localedata/locales/iu_CA            |    4 +-
 localedata/locales/ja_JP            |    6 +-
 localedata/locales/ka_GE            |    4 +-
 localedata/locales/kab_DZ           |    3 +-
 localedata/locales/kk_KZ            |    4 +-
 localedata/locales/kl_GL            |    8 +-
 localedata/locales/km_KH            |    4 +-
 localedata/locales/kn_IN            |    4 +-
 localedata/locales/ko_KR            |    4 +-
 localedata/locales/ks_IN            |    4 +-
 localedata/locales/ks_IN@devanagari |    4 +-
 localedata/locales/ku_TR            |    8 +-
 localedata/locales/kw_GB            |    8 +-
 localedata/locales/ky_KG            |    4 +-
 localedata/locales/lb_LU            |    8 +-
 localedata/locales/lg_UG            |    8 +-
 localedata/locales/li_NL            |    4 +-
 localedata/locales/lij_IT           |    4 +-
 localedata/locales/ln_CD            |    8 +-
 localedata/locales/lo_LA            |    4 +-
 localedata/locales/lt_LT            |    8 +-
 localedata/locales/lv_LV            |    8 +-
 localedata/locales/lzh_TW           |    8 +-
 localedata/locales/mfe_MU           |    6 +-
 localedata/locales/mg_MG            |    8 +-
 localedata/locales/mhr_RU           |    4 +-
 localedata/locales/mi_NZ            |    8 +-
 localedata/locales/mk_MK            |    5 +-
 localedata/locales/ml_IN            |    6 +-
 localedata/locales/mn_MN            |    4 +-
 localedata/locales/mr_IN            |   10 +-
 localedata/locales/ms_MY            |    8 +-
 localedata/locales/mt_MT            |   10 +-
 localedata/locales/my_MM            |    4 +-
 localedata/locales/nan_TW           |    8 +-
 localedata/locales/nan_TW@latin     |    8 +-
 localedata/locales/nb_NO            |    8 +-
 localedata/locales/nds_DE           |    8 +-
 localedata/locales/nds_NL           |    8 +-
 localedata/locales/ne_NP            |    4 +-
 localedata/locales/nhn_MX           |    8 +-
 localedata/locales/niu_NU           |    8 +-
 localedata/locales/nl_NL            |    8 +-
 localedata/locales/nn_NO            |    8 +-
 localedata/locales/nr_ZA            |    4 +-
 localedata/locales/nso_ZA           |    4 +-
 localedata/locales/oc_FR            |    4 +-
 localedata/locales/om_ET            |   10 +-
 localedata/locales/or_IN            |    5 +-
 localedata/locales/os_RU            |    4 +-
 localedata/locales/pa_IN            |    4 +-
 localedata/locales/pa_PK            |    6 +-
 localedata/locales/pap_AW           |    8 +-
 localedata/locales/pap_CW           |    8 +-
 localedata/locales/pl_PL            |    8 +-
 localedata/locales/ps_AF            |    4 +-
 localedata/locales/pt_BR            |    8 +-
 localedata/locales/quz_PE           |    8 +-
 localedata/locales/raj_IN           |    4 +-
 localedata/locales/ro_RO            |    8 +-
 localedata/locales/ru_RU            |    4 +-
 localedata/locales/ru_UA            |    5 +-
 localedata/locales/rw_RW            |    4 +-
 localedata/locales/sa_IN            |    4 +-
 localedata/locales/sc_IT            |   10 +-
 localedata/locales/sd_IN@devanagari |    4 +-
 localedata/locales/se_NO            |    8 +-
 localedata/locales/sgs_LT           |    8 +-
 localedata/locales/si_LK            |    4 +-
 localedata/locales/sk_SK            |    8 +-
 localedata/locales/sl_SI            |    8 +-
 localedata/locales/sm_WS            |   14 +--
 localedata/locales/so_DJ            |    8 +-
 localedata/locales/sq_AL            |    8 +-
 localedata/locales/sr_RS            |    4 +-
 localedata/locales/sr_RS@latin      |    8 +-
 localedata/locales/ss_ZA            |    4 +-
 localedata/locales/st_ZA            |    4 +-
 localedata/locales/sv_SE            |    8 +-
 localedata/locales/sw_KE            |    8 +-
 localedata/locales/szl_PL           |    4 +-
 localedata/locales/ta_IN            |    4 +-
 localedata/locales/tcy_IN           |    4 +-
 localedata/locales/te_IN            |    4 +-
 localedata/locales/tg_TJ            |    8 +-
 localedata/locales/th_TH            |    4 +-
 localedata/locales/the_NP           |    4 +-
 localedata/locales/ti_ER            |    4 +-
 localedata/locales/tk_TM            |    8 +-
 localedata/locales/tn_ZA            |    4 +-
 localedata/locales/to_TO            |   12 +-
 localedata/locales/tr_TR            |    8 +-
 localedata/locales/ts_ZA            |   10 +-
 localedata/locales/tt_RU            |    4 +-
 localedata/locales/tt_RU@iqtelif    |    8 +-
 localedata/locales/ug_CN            |    4 +-
 localedata/locales/uk_UA            |   28 ++--
 localedata/locales/unm_US           |    4 +-
 localedata/locales/ur_IN            |    4 +-
 localedata/locales/ur_PK            |    6 +-
 localedata/locales/uz_UZ            |    9 +-
 localedata/locales/uz_UZ@cyrillic   |    5 +-
 localedata/locales/ve_ZA            |    4 +-
 localedata/locales/vi_VN            |    8 +-
 localedata/locales/wa_BE            |    8 +-
 localedata/locales/wo_SN            |    6 +-
 localedata/locales/xh_ZA            |    8 +-
 localedata/locales/yi_US            |    4 +-
 localedata/locales/yo_NG            |    8 +-
 localedata/locales/yue_HK           |    4 +-
 localedata/locales/yuw_PG           |  153 +++++++++++++++++
 localedata/locales/zh_CN            |    4 +-
 localedata/locales/zh_HK            |    4 +-
 localedata/locales/zh_SG            |    5 +-
 localedata/locales/zh_TW            |    8 +-
 localedata/locales/zu_ZA            |    8 +-
 197 files changed, 1120 insertions(+), 692 deletions(-)
 create mode 100644 localedata/locales/yuw_PG
Comment 7 Mike FABIAN 2017-10-26 06:10:12 IST
Fixed in glibc master.
Comment 8 Rafal Luzynski 2017-11-11 14:24:31 IST
Is this correct that Saturday in yuw_PG is "söndanggie" and the abbreviated form (Sat) is "sab"?  This does not look consistent to me.

Also another questionable abbreviation is "sogipbono" -> "soi" (Thursday).  Why not "sog"?  But at least the abbreviation is made of the letters actually present in the full form so looks acceptable to me if the native speakers want this.